﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ZoomingSample
{
   public class SimpleSample : ContentPage
    {
        ObservableCollection<ChartDataPoint> datas, datas1;
        SfChart chart1, chart2, chart3;
        StackLayout stackLayout;
       public SimpleSample()
       {
           stackLayout = new StackLayout();
           stackLayout.VerticalOptions = LayoutOptions.FillAndExpand;

           datas = new ObservableCollection<ChartDataPoint>();           
           datas1 = new ObservableCollection<ChartDataPoint>();

           chart1 = new SfChart();
           chart1.HeightRequest = 180;

           chart2 = new SfChart();
           chart2.HeightRequest = 180;

           chart3= new SfChart();
           chart3.HeightRequest = 180;

           chart1.PrimaryAxis = new DateTimeAxis();
           chart1.SecondaryAxis = new NumericalAxis();

           chart2.PrimaryAxis = new DateTimeAxis();
           chart2.SecondaryAxis = new NumericalAxis();

           chart3.PrimaryAxis = new DateTimeAxis();
           chart3.SecondaryAxis = new NumericalAxis();

           datas.Add(new ChartDataPoint(new DateTime(2010, 01, 01), 25));
           datas.Add(new ChartDataPoint(new DateTime(2011, 01, 01), 55));
           datas.Add(new ChartDataPoint(new DateTime(2012, 01, 01), 30));
           datas.Add(new ChartDataPoint(new DateTime(2013, 01, 01), 75));
           datas.Add(new ChartDataPoint(new DateTime(2014, 01, 01), 60));
           datas.Add(new ChartDataPoint(new DateTime(2015, 01, 01), 60));

           datas1.Add(new ChartDataPoint(new DateTime(2010, 01, 01), 55));
           datas1.Add(new ChartDataPoint(new DateTime(2011, 01, 01), 35));
           datas1.Add(new ChartDataPoint(new DateTime(2012, 01, 01), 70));
           datas1.Add(new ChartDataPoint(new DateTime(2013, 01, 01), 60));
           datas1.Add(new ChartDataPoint(new DateTime(2014, 01, 01), 40));
           datas1.Add(new ChartDataPoint(new DateTime(2015, 01, 01), 25));

           AreaSeries areaSeries = new AreaSeries();
           areaSeries.ItemsSource = datas;
           chart1.Series.Add(areaSeries);

           BarSeries barSeries = new BarSeries();
           barSeries.ItemsSource = datas;
           chart2.Series.Add(barSeries);

           StackingBarSeries stackingBarSeries = new StackingBarSeries();
           stackingBarSeries.ItemsSource = datas;
           chart3.Series.Add(stackingBarSeries);

           StackingBarSeries stackingBarSeries1 = new StackingBarSeries();
           stackingBarSeries1.ItemsSource = datas1;
           chart3.Series.Add(stackingBarSeries1);

           stackLayout.Children.Add(chart1);
           stackLayout.Children.Add(chart2);
           stackLayout.Children.Add(chart3);

           chart1.ChartBehaviors.Add(new ChartZoomPanBehavior());
           chart2.ChartBehaviors.Add(new ChartZoomPanBehavior());
           chart3.ChartBehaviors.Add(new ChartZoomPanBehavior());
           Content = stackLayout;
       }
    }
}
